
import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
function menutreepage(params) {
  return request(getDataBaseUrl()+'/api​/menu/getmenutreepage', {
    method: 'post',
    data: params,
  });
}

function SelectTree() {
  return request(getDataBaseUrl()+'​/api/menu/menutrees/?getType=user');
}

function GetOrg(params) {
  return request(getDataBaseUrl()+'/api/menu/getorglist');
}

function gettree(params) {
  return request(getDataBaseUrl()+'​/api​/organize/tree', {
    data: {
      ...params,
    },
  });
}

export default { menutreepage,SelectTree,GetOrg ,gettree}
